Package org.apache.qpid.proton.engine.impl.ssl

# Interface ProtonSslEngine

public interface ProtonSslEngine
Thin wrapper around an `SSLEngine`.

## Method Summary

Modifier and Type
Method
Description
`String`
`getCipherSuite()`
`Runnable`
`getDelegatedTask()`
`int`
`getEffectiveApplicationBufferSize()`
Gets the application buffer size.
`SSLEngineResult.HandshakeStatus`
`getHandshakeStatus()`
`int`
`getPacketBufferSize()`
`String`
`getProtocol()`
`boolean`
`getUseClientMode()`
`SSLEngineResult`
`unwrap(ByteBuffer src, ByteBuffer dst)`
`SSLEngineResult`
`wrap(ByteBuffer src, ByteBuffer dst)`

## Method Details

### wrap

SSLEngineResult wrap(ByteBuffer src, ByteBuffer dst) throws SSLException

Throws:
  `SSLException`
See Also:
  - `Note that wrap really does write one packet worth of data to the dst byte buffer. If dst byte buffer is insufficiently large the pointers within both src and dst are unchanged and the bytesConsumed and bytesProduced on the returned result are zero.`

### unwrap

SSLEngineResult unwrap(ByteBuffer src, ByteBuffer dst) throws SSLException

Throws:
  `SSLException`
See Also:
  - `Note that unwrap does read exactly one packet of encoded data from src and write to dst. If src contains insufficient bytes to read a complete packet Status#BUFFER_UNDERFLOW occurs. If underflow occurs the pointers within both src and dst are unchanged and the bytesConsumed and bytesProduced on the returned result are zero.`

### getDelegatedTask

Runnable getDelegatedTask()

### getHandshakeStatus

SSLEngineResult.HandshakeStatus getHandshakeStatus()

### getEffectiveApplicationBufferSize

int getEffectiveApplicationBufferSize()
Gets the application buffer size.

### getPacketBufferSize

int getPacketBufferSize()

### getCipherSuite

String getCipherSuite()

### getProtocol

String getProtocol()

### getUseClientMode

boolean getUseClientMode()